Full Numerology Profile
POST
/api/numerology/profile
Calculate a complete numerology profile including Life Path, Expression, Soul Urge, Personality, Birthday numbers, Personal Cycles, and identify Master/Karmic numbers.
Authorizations
ApiKeyAuth
API key for authentication. Get your API key from the dashboard.
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON "dateTime": "string", "fullName": "string", "language": "en", "includeText": false
{
}
Responses
Complete numerology profile
application/vnd.api+json
JSON "data": { "lifePathNumber": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "expressionNumber": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "soulUrgeNumber": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "personalityNumber": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "birthdayNumber": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "personalYear": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "personalMonth": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "personalDay": { "value": 0, "isMasterNumber": true, "isKarmicDebt": true, "reducedFrom": 0, "calculation": "string", "text": { "title": "string", "body": "string" } }, "karmicDebtNumbers": [ 0 ], "masterNumbers": [ 0 ] }
{
}